datacache <- new.env(hash=TRUE, parent=emptyenv())

hthgu133pluspmhsentrezg <- function() showQCData("hthgu133pluspmhsentrezg", datacache)
hthgu133pluspmhsentrezg_dbconn <- function() dbconn(datacache)
hthgu133pluspmhsentrezg_dbfile <- function() dbfile(datacache)
hthgu133pluspmhsentrezg_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
hthgu133pluspmhsentrezg_dbInfo <- function() dbInfo(datacache)

hthgu133pluspmhsentrezgORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "hthgu133pluspmhsentrezg.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "hthgu133pluspmhsentrezg", "chip hthgu133pluspmhsentrezg", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(hthgu133pluspmhsentrezg_dbconn())
}

